#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dhall
version:              1.41.2
visibility:           public
id:                   dhall-1.41.2-1lQqinM7F6k3FJYiyRFWmm
key:                  dhall-1.41.2-1lQqinM7F6k3FJYiyRFWmm
license:              BSD-3-Clause
copyright:            2017 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  f8d9b82eb0b93e27f85c9a6af1155261
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics Dhall.Parser
    Dhall.Parser.Expression Dhall.Parser.Token Dhall.Pretty Dhall.Repl
    Dhall.Schemas Dhall.Set Dhall.Src Dhall.Substitution Dhall.TH
    Dhall.Tags Dhall.Tutorial Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.Eval Dhall.Import.Types Dhall.Import.Headers
    Dhall.Marshal.Internal Dhall.Normalize Dhall.Parser.Combinators
    Dhall.Pretty.Internal Dhall.Syntax Dhall.URL Paths_dhall
    Dhall.Import.HTTP Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dhall-1.41.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dhall-1.41.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.41.2-1lQqinM7F6k3FJYiyRFWmm
depends:
    Diff-0.4.1-1toefkTHVOxAofxmNpSV9Z
    aeson-2.1.2.1-7IgTEIjsesxDBKStPrg8Ee
    aeson-pretty-0.8.10-LVuk0DY7ypJ2qrpHa2QTZR
    ansi-terminal-0.11.5-LiSCITOuNj9CrpacH3JWAJ
    atomic-write-0.2.1.0-9Faqx1Kyyln9t8iHxPDzme base-4.16.4.0
    base16-bytestring-1.0.2.0-JJDfJzctQzH7t5wRSKKcuo
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-AaasGaU67AZI2uOcvgi7uv
    cborg-0.2.9.0-6paSUCCXlloJyksmuKtLmm
    cborg-json-0.2.5.0-AnL2p2srir49JAV5YScUPZ containers-0.6.5.1
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    cryptohash-sha256-0.11.102.1-4u9Z5HLSlRI9ADSzDpwE9c
    data-fix-0.3.2-6MgD8Pvt51P87aJt1RDXre deepseq-1.4.6.1
    directory-1.3.6.2 dotgen-0.4.3-GrGnAzxXk0NF0mUN2K7zar
    either-5.0.2-83NZrwBVER7ATBGkH4n4rs exceptions-0.10.4
    filepath-1.4.2.2 half-0.3.1-L2YgEsDQVN6AVOZF9UZV7i
    hashable-1.4.4.0-3NsDO7W5NBvlxFY7M8nbj haskeline-0.8.2
    http-client-0.7.17-CaOEDO662FL9oeZ6tGaZBC
    http-client-tls-0.3.6.3-JrRMGJI53IuIbQIebwOD6
    http-types-0.12.4-HtCYpQIQFjj1M0lE5V2LXG
    indexed-traversable-0.1.4-IoNvPNijhHNJzEW06igj2a
    lens-family-core-2.1.3-1OBIJmYHsnQ2CJGGRserxu
    megaparsec-9.6.1-EIhvHTIN00s87k44dLhVjW
    mmorph-1.2.0-86rQZSuTSAZIoeBosVXsFi mtl-2.2.2
    network-uri-2.6.4.2-5dZw2pdLaYUJEQy1LXCUFz
    optparse-applicative-0.17.1.0-92ShIE9pEy5K3fr8qppb26
    parser-combinators-1.3.0-G0J7GFw9FY9Cgw8HeD2oK5
    parsers-0.12.12-F5Cds7eqvGQ5e4rEmcyVN7
    pretty-simple-4.1.2.0-1Zg02kdyimP5buDYIagbCj
    prettyprinter-1.7.1-5Y36Nmw1l1C6ihqr30uWvO
    prettyprinter-ansi-terminal-1.1.3-6HCxk4bXIqvKoLQsOREzAw
    profunctors-5.6.2-5oeUUg8GnIa7QJDd9nzKav
    repline-0.4.2.0-8F4hfQj1tzA4brx66W1hS8
    scientific-0.3.7.0-CRm8E7lQFQyIDH2IUurUTy
    serialise-0.2.6.1-DJF3h7fcsmdIss2EZnUDac template-haskell-2.18.0.0
    text-1.2.5.0 text-manipulate-0.3.1.0-8hnj91adnCD4cwDDAphsOw
    text-short-0.1.6-1QRgfuMypIS9zkVgxmNkyJ
    th-lift-instances-0.1.20-ABUGp25SYaP2g0TAPlG59I time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-4c1XIGAoQE4JZSLkR4PXOi
    uri-encode-1.5.0.7-85VglHB8L4mFuFVxYJTbiZ
    vector-0.13.1.0-7kspXIhsfaQEZQW3lsFmcE

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

